use anyhow::Result;
use made_you_look::{run, Config};

#[tokio::main]
async fn main() -> Result<()> {
    let config = Config {
        port: std::env::var("MADE_YOU_LOOK_SERVE_PORT")
            .ok()
            .and_then(|p| p.parse().ok())
            .unwrap_or(8000u16),
    };

    run(config).await?.server.await?;

    Ok(())
}
